Replay merchant webhook delivery
curl --request POST \
--url https://api-test.drop-hub.com/v2/external/webhook-deliveries/{deliveryId}/replay \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-test.drop-hub.com/v2/external/webhook-deliveries/{deliveryId}/replay"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-test.drop-hub.com/v2/external/webhook-deliveries/{deliveryId}/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deliveryId": "018f2d8a-1f00-7000-8000-000000000209",
"endpointId": "018f2d8a-1f00-7000-8000-00000000020a",
"eventId": "evt_018f2d8a1f0070008000000000000205",
"replayNumber": 1,
"replayOfDeliveryId": "018f2d8a-1f00-7000-8000-00000000020b",
"status": "PENDING",
"attemptCount": 0,
"nextAttemptAt": "2026-08-22T18:31:00Z",
"createdAt": "2026-08-22T18:31:00Z",
"updatedAt": "2026-08-22T18:31:00Z",
"version": 0
}{
"type": "https://api.drop-hub.com/problems/authentication-required",
"title": "Authentication required",
"status": 401,
"detail": "Authentication is required for this resource.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "AUTHENTICATION_REQUIRED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}{
"type": "https://api.drop-hub.com/problems/access-denied",
"title": "Access denied",
"status": 403,
"detail": "Access to this resource is denied.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "ACCESS_DENIED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}{
"type": "https://api.drop-hub.com/problems/access-denied",
"title": "Access denied",
"status": 403,
"detail": "Access to this resource is denied.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "ACCESS_DENIED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}{
"type": "https://api.drop-hub.com/problems/access-denied",
"title": "Access denied",
"status": 403,
"detail": "Access to this resource is denied.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "ACCESS_DENIED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}{
"type": "https://api.drop-hub.com/problems/access-denied",
"title": "Access denied",
"status": 403,
"detail": "Access to this resource is denied.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "ACCESS_DENIED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}Webhook Deliveries
Replay merchant webhook delivery
Creates a new delivery identity while preserving the original event ID, timestamp, and immutable payload.
POST
/
v2
/
external
/
webhook-deliveries
/
{deliveryId}
/
replay
Replay merchant webhook delivery
Authorizations
OAuth 2.0 client-credentials flow for external machine-to-machine integrations.
Headers
Preferred response language when a localized representation is available.
Maximum string length:
64Example:
"en"
Path Parameters
Response
Replay queued
Pattern:
^evt_[0-9a-f]{32}$Required range:
x >= 0Available options:
PENDING, IN_FLIGHT, RETRY_WAIT, DELIVERED, DEAD_LETTER Required range:
0 <= x <= 12Required range:
x >= 0Required range:
100 <= x <= 599⌘I
